View Issue Details

IDProjectCategoryView StatusLast Update
0002603Far ManagerPlugins API.Panelpublic2014-03-13 14:12
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002603: Падение по вызове FCTL_GETCURRENTPANELITEM на PTYPE_QVIEWPANEL и PTYPE_INFOPANEL
Description>По вызову PanelControl(PANEL_ACTIVE, FCTL_GETCURRENTPANELITEM,,) от панелей PTYPE_QVIEWPANEL и PTYPE_INFOPANEL. Может и не очень осмысленный вызов, но падать по такой причине нехорошо, тем более, что панели объявляют PFLAGS_REALNAMES.
Steps To ReproduceМожно воспроизвести даже из командной строки, установив курсор на панель быстрого просмотра и набрав в командной строке
lm:post panel.GetCurrentPanelItem(nil,1)
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=115646
TagsNo tags attached.
Build3812

Activities

shmuel

2014-02-17 00:34

developer   bugnote:0011836

Погонял разные билды, получилось пока так:
build <= 3083 : не падают, вызов возвращает nil
build >= 3096 : падают

DrKnS

2014-02-17 01:28

administrator   bugnote:0011838

Оно никогда не работало.

<= 3083 не падали, потому что карты красиво ложились.

DrKnS

2014-02-18 00:49

administrator   bugnote:0011840

3812

Issue History

Date Modified Username Field Change
2014-02-16 23:59 JohnDoe New Issue
2014-02-17 00:34 shmuel Note Added: 0011836
2014-02-17 01:28 DrKnS Note Added: 0011838
2014-02-18 00:49 DrKnS Note Added: 0011840
2014-02-18 00:49 DrKnS Assigned To => DrKnS
2014-02-18 00:49 DrKnS Status new => feedback
2014-02-18 12:45 JohnDoe Status feedback => resolved
2014-03-13 14:12 DrKnS Build => 3812
2014-03-13 14:12 DrKnS Status resolved => closed
2014-03-13 14:12 DrKnS Resolution open => fixed
2014-03-13 14:12 DrKnS Fixed in Version => 3.0